﻿<# Copyright 2015 Richard T. Broida

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 #>

cls
$ErrorActionPreference = "Stop"

$StorageAccount = "baazurehybridstorage"
$Location = "East US"

try
{
    Get-AzureStorageAccount -StorageAccount $StorageAccount
    Write-Output "The [$StorageAccount] storage account already exists."
}
catch
{
    Write-Output "Creating the [$StorageAccount] storage account..."
    New-AzureStorageAccount -StorageAccount $StorageAccount -Location $Location
    Write-Host "The [$StorageAccount] storage account has been successfully created."
}

