﻿using System;

namespace AzureHybrid.Models
{
    public class Sale
    {
        public Guid CustomerId { get; set; }
        public string Product { get; set; }
        public int Quantity { get; set; }
        
        public Sale()
        {
            CustomerId = Guid.NewGuid();

            Quantity =
                new Random(DateTime.Now.Millisecond)
                .Next(1000);
        }
    }
}
